package contants

type Config struct {
	ConfigId   int
	ConfigType string
}

const (
	ConfigTypeInt  = "int"
	ConfigTypeStr  = "string"
	ConfigTypeByte = "byte"
)
const (
	// configCode
	HTCPELoginUrl = "HtCpeLoginUrl"
	authToken     = "int"
	byte          = "byte"
)

// SysConfigMap 用于存储错误码和错误信息的映射
var SysConfigMap = map[string]*Config{
	HTCPELoginUrl: {ConfigId: 1000, ConfigType: ConfigTypeStr},
	authToken:     {ConfigId: 1001, ConfigType: ConfigTypeInt},
	byte:          {ConfigId: 1002, ConfigType: ConfigTypeByte},
}

func GetConfig(code string) *Config {
	return SysConfigMap[code]
}
