package user

import (
	"eta/eta_mini_ht_api/common/exception"
	"eta/eta_mini_ht_api/controllers"
)

type OrderController struct {
	controllers.BaseController
}

type ProductOrderReq struct {
	ProductId int `json:"productId"`
}

// CreateProductOrder  创建商品订单
// @Summary 创建商品订单
// @Description 创建商品订单
// @Success 200 {object} controllers.BaseResponse
// @router /createProductOrder [post]
func (o *OrderController) CreateProductOrder() {
	controllers.Wrap(&o.BaseController, func() (result *controllers.WrapData, err error) {
		result = o.InitWrapData("获取商品详情失败")
		err = exception.New(exception.IllegalProductId)
		o.FailedResult("获取商品详情失败", result)
		//客戶是否开户，是否有风险等级，是否风险等级过期

		//报告的风险等级 套餐的风险等级
		//创单
		//facade.CheckUserRiskLevel()
		//productInfo, err := productService.GetProductInfoById(productId)
		//if err != nil {
		//	o.FailedResult("获取商品详情失败", result)
		//	return
		//}
		//o.SuccessResult("获取商品详情成功", productInfo, result)
		return
	})
	//
	//获取用户信息
	//userInfo := o.Data["user"].(user.User)

}
